/*
 * GNOME hardware sensors panel applet
 * (C) 2000 The Free Software Foundation
 *
 * Displays the state of hardware sensors in your machine.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *                                
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *           
 * Authors: 	Brendon Humphrey
 *
 * Based apon the diskusage applet.
 *
 */


#ifndef __GNOMESENSORS_H__
#define __GNOMESENSORS_H__

#include <applet-widget.h>
#include "properties.h"
#include "chips.h"

#ifdef _cplusplus
extern "C" {
#endif 
	
/* ==========================================================================
 * Types
 * =========================================================================*/
	typedef struct _GnomeSensorsApp
	{
		sensors_properties properties;
		sensors_properties temporary_properties;
		GtkWidget          *sensors;
		GtkWidget          *my_applet;
		GtkWidget          *display;
		GtkWidget          *aboutbox;
		GtkWidget          *property_box;
		GtkWidget          *label_font_picker;
		GtkWidget          *value_font_picker;
		GtkWidget          *units_font_picker;
		GdkPixmap          *pixmap;
		GdkPixmap          *backpixmap;
		GdkFont            *label_font;
		GdkFont            *value_font;
		GdkFont            *units_font;
		GdkGC              *gc;
		GdkColor           tcolor;
		GdkImlibImage      *BackgroundPixmap;
		int                current_sensor_displayed;
		machine            all_sensors;
		FILE               *sensors_config_file;
		int 			  timer_index;
		int 			  first_time;
		char               sensor_name[MAX_BUFFER_SIZE];
		char               sensor_value[MAX_BUFFER_SIZE];
		char               sensor_units[MAX_BUFFER_SIZE];
		char               *bg_pixmap_path; 
	} GnomeSensorsApp;
	
/* ==========================================================================
 * function prototypes
 * =========================================================================*/
	void update_values (GnomeSensorsApp *sensors_app);
	void sensors_resize (GnomeSensorsApp *sensors_app);
	void sensors_change_fonts(GnomeSensorsApp *sensors_app);
	void draw(GnomeSensorsApp *sensors_app);
	void setup_colors(GnomeSensorsApp *sensors_app);
	void create_gc(GnomeSensorsApp *sensors_app);
	void start_timer(GnomeSensorsApp *sensors_app);
	GtkWidget *sensors_widget(GnomeSensorsApp *sensors_app);
	
#ifdef _cplusplus
}
#endif

#endif
