/*
 * GNOME hardware sensors panel applet
 * (C) 2000 The Free Software Foundation
 *
 * Displays the state of hardware sensors in your machine.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *                                
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *           
 * Authors: 	Brendon Humphrey
 *
 * Based apon the diskusage applet.
 *
 */

#ifndef PROPERTIES_H__
#define PROPERTIES_H__

#include <applet-widget.h>

#ifdef __cplusplus
extern "C" {
#endif 
	
/* ==========================================================================
 * Definitions
 * =========================================================================*/
#define MAX_RGB_STR_LEN      7
#define FONT_NAME_LENGTH     100	
#define DEFAULT_LABEL_FONT   "-b&h-lucidatypewriter-medium-r-normal-*-*-100-*-*-m-*-iso8859-1"
#define DEFAULT_VALUE_FONT   "-b&h-lucidatypewriter-bold-r-normal-*-*-140-*-*-m-*-iso8859-1"
#define DEFAULT_UNITS_FONT   "-b&h-lucidatypewriter-medium-r-normal-*-*-100-*-*-m-*-iso8859-1"
#define DEFAULT_FONT         "fixed"	
#define DEFAULT_WIDTH        "50"
#define DEFAULT_HEIGHT       "50"
#define DEFAULT_SPEED        "2000"
#define DEFAULT_NAME_YPOS    "12"
#define DEFAULT_UNITS_YPOS   "45"
#define DEFAULT_VALUE_YPOS   "32"
#define DEFAULT_LOOK         "1"
#define DEFAULT_TEXT_RGB     "#000000"
	
/* ==========================================================================
 * Types
 * =========================================================================*/
	typedef struct 
	{
		gchar    *tcolor;            /* color for text  */
		guint    speed;               /* timer interval */
		guint    height;             /* height of panel item */ 
		guint    width;               /* width of panel item */
		gboolean look;                 /* style of panel item */
		gchar    *label_font;     /* font used for displaying the value */
		gchar    *value_font;     /* font used for displaying the value */
		gchar    *units_font;     /* font used for displaying the units*/
		gchar    *default_font; /* default font name (used if above not there) */
		guint    name_ypos;        /* vertical pos of sensor name display */
		guint    value_ypos;      /* vertical pos of sensor data dispaly  */
		guint    units_ypos;      /* vertical pos of units type display */
	} sensors_properties;
	
/* ==========================================================================
 * function prototypes
 * =========================================================================*/
	void load_properties( const char *path, sensors_properties *prop );
	void save_properties( const char *path, sensors_properties *prop );
	
#ifdef _cplusplus
}
#endif

#endif
